%define major   2
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           wildmidi
Version:        0.4.1
Release:        %mkrel 1
Summary:        Open-source MIDI synthesizer and player
Group:          Sound/Midi
License:        GPLv3+ and LGPLv3+
URL:            http://www.mindwerks.net/projects/wildmidi/
Source:         https://github.com/Mindwerks/wildmidi/archive/%{name}-%{version}.tar.gz
Patch0:         wildmidi-0.3.6-mga-cfg-timidity-freepats.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(openal)
Requires:       timidity-patch-freepats
Requires:       %{libname} = %{version}-%{release}

%description
WildMIDI is a simple software MIDI player which has a core software
synthesizer (softsynth) library that can be used with other applications.

The WildMIDI library uses Gravis Ultrasound patch files to convert MIDI files
into audio which is then passed back to the calling application. The library
API is designed so that it is easy to include WildMIDI into applications
that wish to include MIDI file playback.

%files
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.cfg.5*
%{_sysconfdir}/%{name}/%{name}.cfg

#------------------------------------------------------------------------------------------------

%package -n     %{libname}
Summary:        Library for WildMIDI
Group:          System/Libraries

%description -n %{libname}
WildMIDI is a simple software MIDI player which has a core software
synthesizer (softsynth) library that can be used with other applications.

This package contains WildMIDI's shared library.

%files -n       %{libname}
%{_libdir}/libWildMidi.so.%{major}
%{_libdir}/libWildMidi.so.%{major}.*

#----------------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for Wildmidi
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
WildMIDI is a simple software MIDI player which has a core software
synthesizer (softsynth) library that can be used with other applications.

This package contains development files for WildMIDI.

%files -n       %{devname}
%{_includedir}/wildmidi_lib.h
%{_libdir}/libWildMidi.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/WildMidi_*.3*

#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{name}-%{version}
%autopatch -p1

%build
%cmake
%make_build

%install
%make_install -C build

install -D -m644 cfg/wildmidi.cfg %{buildroot}%{_sysconfdir}/%{name}/%{name}.cfg


%changelog
* Wed Mar 22 2017 akien <akien> 0.4.1-1.mga6
+ Revision: 1094252
- Version 0.4.1 (adds pkgconfig file)

* Mon Sep 05 2016 akien <akien> 0.4.0-1.mga6
+ Revision: 1050102
- Version 0.4.0
- Libmajor 2

* Sat Apr 23 2016 akien <akien> 0.3.9-1.mga6
+ Revision: 1005620
- Version 0.3.9

* Tue Feb 09 2016 umeabot <umeabot> 0.3.8-2.mga6
+ Revision: 952244
- Mageia 6 Mass Rebuild

* Sun Feb 01 2015 akien <akien> 0.3.8-1.mga5
+ Revision: 812950
- Version 0.3.8

* Wed Oct 15 2014 umeabot <umeabot> 0.3.7-3.mga5
+ Revision: 744381
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.7-2.mga5
+ Revision: 690312
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 akien <akien> 0.3.7-1.mga5
+ Revision: 634292
- Version 0.3.7

* Fri May 02 2014 akien <akien> 0.3.6-1.mga5
+ Revision: 619597
- New version 0.3.6 with cmake buildsystem

* Fri Oct 18 2013 umeabot <umeabot> 0.2.3.5-5.mga4
+ Revision: 520265
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.2.3.5-4.mga3
+ Revision: 385698
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 0.2.3.5-3.mga3
+ Revision: 324384
- spec clean-up
- update RPM group

* Mon Jan 09 2012 shlomif <shlomif> 0.2.3.5-2.mga2
+ Revision: 194092
- New version - 0.2.3.5

* Sat Feb 05 2011 ahmad <ahmad> 0.2.3.4-2.mga1
+ Revision: 47418
- drop old/unneeded scriptlets
- re-enumerate the patch(es)
- don't ship .la
- use %%doc to install the docs

  + eandry <eandry>
    - imported package wildmidi

